---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v6.0.0
    hooks:
      - id: end-of-file-fixer
      - id: trailing-whitespace
      - id: fix-byte-order-marker
      - id: mixed-line-ending
        args: ['--fix=lf']
        description: Enforces using only 'LF' line endings.
      - id: trailing-whitespace
      - id: check-yaml
  - repo: https://git.garrity.co/garrity-software/gs-pre-commit-scala
    rev: v1.0.2
    hooks:
      - id: scalafmt
